BloodhoundBloodhound Docsv1
API referenceStreaming

Stream mission events

Opens the durable NDJSON event stream. Reconnect with startIndex to resume without losing events.

GET
/eve/v1/session/{sessionId}/stream

Authorization

bearerAuth
AuthorizationBearer <token>

Use an API key beginning with bh_live_.

In: header

Path Parameters

sessionId*string

Durable mission identifier returned when the mission starts.

Query Parameters

startIndex?integer

Absolute event count to resume from. Use 0 to replay from the beginning or -1 for the latest event.

Default0
includeTailIndex?1

Set to 1 for a finite catch-up read with the current tail index in the response headers.

Value in

  • 1

Response Body

application/x-ndjson

application/json

application/json

curl -X GET "https://example.com/eve/v1/session/string/stream"
{  "type": "session.started",  "data": {},  "sessionId": "string",  "turnId": "string",  "timestamp": "2019-08-24T14:15:22Z"}